Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.raster
Class RasterTreeUpdater.RTUConfiguration

    java.lang.Object
      org.deegree.tools.raster.RasterTreeUpdater.RTUConfiguration

Enclosing class:
  RasterTreeUpdater

    public static class RasterTreeUpdater.RTUConfiguration

extends Object

`RTUConfiguration` is a class containing configuration options for the `RasterTreeUpdater`.

Since:
  2.0
Version:
  2.0, $Revision: 20078 $, $Date: 2009-10-09 11:40:15 +0200 (Fr, 09. Okt 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: apoth $

Field Summary
`(package private) int` | `bitDepth` The bit depth for the output images.
`(package private) String` | `coverageName` The coverage name to update.
`(package private) Object` | `interpolation` The interpolation method to be used.
`(package private) float` | `quality` Desired output image quality.
`(package private) List<String>` | `updatedFiles` The list of image files being updated.
`(package private) boolean` | `verbose` Whether to be verbose in logging.
`(package private) URL` | `wcsConfiguration` The location of the WCS configuration document.
`(package private) WorldFile.TYPE` | `worldfileType` Worldfile type used for reading.

Constructor Summary
`RasterTreeUpdater.RTUConfiguration(String[] args)` Constructs a new instance through command line arguments.
`RasterTreeUpdater.RTUConfiguration(URL wcsConfiguration, List<String> updatedFiles, String coverageName, boolean verbose, Object interpolation, int bitDepth, float quality, WorldFile.TYPE worldfileType)`

Method Summary
`boolean` | `isValidConfiguration()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wcsConfiguration

    URL wcsConfiguration

  The location of the WCS configuration document.

### updatedFiles

    List<String> updatedFiles

  The list of image files being updated.

### coverageName

    String coverageName

  The coverage name to update.

### verbose

    boolean verbose

  Whether to be verbose in logging.

### interpolation

    Object interpolation

  The interpolation method to be used.

### bitDepth

    int bitDepth

  The bit depth for the output images.

### quality

    float quality

  Desired output image quality.

### worldfileType

    WorldFile.TYPE worldfileType

  Worldfile type used for reading.

Constructor Detail

### RasterTreeUpdater.RTUConfiguration

    public RasterTreeUpdater.RTUConfiguration(URL wcsConfiguration,
                                              List<String> updatedFiles,
                                              String coverageName,
                                              boolean verbose,
                                              Object interpolation,
                                              int bitDepth,
                                              float quality,
                                              WorldFile.TYPE worldfileType)

Parameters:
  `wcsConfiguration` -
  `updatedFiles` -
  `coverageName` -
  `verbose` -
  `interpolation` -
  `bitDepth` -
  `quality` -
  `worldfileType` -

### RasterTreeUpdater.RTUConfiguration

    public RasterTreeUpdater.RTUConfiguration(String[] args)
                                       throws MalformedURLException

  Constructs a new instance through command line arguments.

  Parameters:
    `args` - the command line arguments
  Throws:
    `MalformedURLException`

Method Detail

### isValidConfiguration

    public boolean isValidConfiguration()

  Returns:
    true, if the configuration values are sound

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org